QGIS Application - Bug report #10685

wrong segment size in composer scalebar left segments

2014-06-23 09:35 PM - Miroslav Umlauf

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19083

No
No

Description

Left segments in print composer/scalebar have wrong segment size. Unfortunately quite visibly wrong. Tried from 2 to 8 segments and

always with error.

QGIS 2.2 and 2.3.

Associated revisions

Revision d2c9ffd8 - 2014-10-27 11:14 AM - Nyall Dawson
[composer] Fix incorrect calculation of scale for tick scale bars
QPainter::drawLine(x1,y1,x2,y2) takes int values, so coordinates
were being rounded to the nearest mm. Consequently scale was way

off. Also fixes horizontal line for tick styles being drawn
incorrectly with multiple overlapping segments. (fix #10685)

History

#1 - 2014-06-23 10:03 PM - Miroslav Umlauf

- File print_composer._scale_02.png added

Update: the single box and double box are right, the error is connected to Ticks style and is affecting whole scalebar

#2 - 2014-06-24 01:55 AM - Giovanni Manghi
- Affected QGIS version changed from 2.2.0 to master
- Target version set to Future Release - High Priority

#3 - 2014-10-27 03:18 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"d2c9ffd86963647bcfa9586aea9303ca5ff3caci".
